apiVersion: batch/v1beta1
kind: CronJob
metadata:
  name: pd-canary-basic-elevated
  namespace: metrics-tools
  labels:
    app.kubernetes.io/name: pd-canary-basic-elevated
spec:
  schedule: "*/2 * * * *"
  concurrencyPolicy: Allow
  jobTemplate:
    metadata:
      labels:
        app.kubernetes.io/name: pd-canary-basic-elevated
    spec:
      template:
        spec:
          dnsPolicy: Default
          restartPolicy: Never
          containers:
          - name: pd-canary-basic
            image: "docker-registry.zooxlabs.com/pd_canary:elevated_pd_sched"
            env:
              - name: PIPEDREAM_API_URL
                value: "https://pipedream-scheduling.zooxlabs.com/v1/pipeline"
              - name: MODE
                value: pipedream
              - name: ACCOUNTING_API_URL
                value: "https://pipedream-accounting.zooxlabs.com/v0/pipelines"
              - name: ELASTICSEARCH_API_URL
                value: "https://search-metrics-production-c65mdhdibmbmkl4pfiqsj5yhmq.us-west-2.es.amazonaws.com"
              - name: PIPELINE_NAME
                value: "canary_pd_basic_elevated_priority"
              - name: PIPELINE_PARTITION
                value: "canary"
              - name: CANARY_TIMEOUT
                value: "600"
              - name: CANARY_TYPE
                value: "basic"
              - name: CHECK_INTERVAL
                value: "10"
              - name: PIPELINE_TIMEOUT
                value: "300"
              - name: LOG_LEVEL
                value: "DEBUG"
            workingDir: /opt/zoox
            command: ["bash"]
            args: ["-c", "python3 pd_canary.py"]
            imagePullPolicy: Always
